This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 124282 - International character input from international keymaps is wrong in ooffice programs
International character input from international keymaps is wrong in ooffice ...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-25 09:28 EDT by Janos Lichtenberger
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-30 09:54:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
X-window dump (23.67 KB, image/jpeg)
2004-05-25 09:30 EDT, Janos Lichtenberger
no flags Details

  None (edit)
Description Janos Lichtenberger 2004-05-25 09:28:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
Any non-English character (above ASCII 127) input using an
international  keymap in an ooffice application yield strange
character displayed in the application. I tried Hungarian and Czech
keymap, the result is the same. The keymaps work fine in other X
applications and the non-English characters can be copied to ooffice
and this way are displayed fine. The strange characters appear in
printout too. I attach an X window dump showing what happen if I type
accented Hungarian characters in ooffice writer (the wright character
s were copied from another application)

Version-Release number of selected component (if applicable):
openoffice-1.1.1-4

How reproducible:
Always

Steps to Reproduce:
1.Start any ooffice component
2. Choose e.g. Hunagrian keymap
3. Press "0", ";" and "'" (these correspond to some accented Hungarian
characters in the Hungarian keymap)

    

Actual Results:   Funny characters 

Expected Results:  right accented characters

Additional info:
Comment 1 Janos Lichtenberger 2004-05-25 09:30:12 EDT
Created attachment 100537 [details]
X-window dump
Comment 2 Dan Williams 2004-06-10 08:57:09 EDT
Please test with OOo 1.1.1-6 that's now available in Rawhide.
Comment 3 Dan Williams 2004-07-28 09:23:09 EDT
Can you now test instead with 1.1.2-1 in rawhide?
Comment 4 Janos Lichtenberger 2004-07-29 05:55:26 EDT
I got some advice straight by email: this bug appears only on full 
FC2 install and related to kanji(?) input daemons: iiimf, canna and a 
third one I cannot recall at the moment (I'm on holiday noy using my 
PC). If they are stopped, OOo with international characters are 
perfect. I supposed you also got this message, thus I didn't pass it 
to bugzilla. Sorry about that.
Comment 5 Dan Williams 2004-07-29 09:12:13 EDT
Yes, this _should_ be fixed with 1.1.2-1 or 1.1.1-6, see Bugzilla
124538.  If you could verify that you no longer have a problem, that
would be great.
Comment 6 Janos Lichtenberger 2004-07-29 14:52:12 EDT
Yes, I confirm that I have no problem with international characters 
in OOo. Thank you for your help
Comment 7 Dan Williams 2004-07-30 09:54:30 EDT
Great! Thanks.

Note You need to log in before you can comment on or make changes to this bug.